%global srcname   ezpi

Name:           python-%{srcname}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Simple library to write to public-inbox repos

License:        MIT-0
URL:            https://sr.ht/~monsieuricon/ezpi/
Source0:        https://git.sr.ht/~monsieuricon/ezpi/archive/v%{version}.tar.gz

BuildArch:      noarch

%global _description %{expand:
This is a very simple library that allows writing to public-inbox v2
repositories. Note, that this is not a suitable replacement for
public-inbox in itself -- the goal is merely to provide a way to write
public-inbox repositories that can be cloned, indexed and served from an
actual public-inbox server running elsewhere.}

%description %_description

%package -n python3-%{srcname}
Summary:       %{summary}
BuildRequires: python3-devel, python3-setuptools

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-v%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license COPYING
%doc README
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/*

%changelog
* Wed Jul 24 2024 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 0.4.0-1
- Update to 0.4.0

* Mon Oct 26 2020 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 0.3.0-1
- Update to 0.3.0

* Thu Oct 22 2020 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 0.2.2-1
- Initial RPM packaging.
